
From: Paul Mackerras <paulus@samba.org>

A patch that I sent in earlier to allow the use of the data address
breakpoint on machines with a hypervisor happened to break things for those
configs, such as for the Maple board, where we don't compile in the
routines for calling the hypervisor.  This patch fixes it.

Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/xmon/xmon.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc64/xmon/xmon.c~ppc64-fix-compilation-for-maple-board arch/ppc64/xmon/xmon.c
--- 25/arch/ppc64/xmon/xmon.c~ppc64-fix-compilation-for-maple-board	2005-02-22 19:51:40.000000000 -0800
+++ 25-akpm/arch/ppc64/xmon/xmon.c	2005-02-22 19:51:40.000000000 -0800
@@ -628,11 +628,13 @@ int xmon_fault_handler(struct pt_regs *r
    (data address breakpoint register) directly. */
 static void set_controlled_dabr(unsigned long val)
 {
+#ifdef CONFIG_PPC_PSERIES
 	if (systemcfg->platform == PLATFORM_PSERIES_LPAR) {
 		int rc = plpar_hcall_norets(H_SET_DABR, val);
 		if (rc != H_Success)
 			xmon_printf("Warning: setting DABR failed (%d)\n", rc);
 	} else
+#endif
 		set_dabr(val);
 }
 
_
